Payment batches & settlement

Get All Settlements For Org

Name and signature indicate it gets all settlements for org

GEThttps://api.toku.com/tga/get-all-settlements-for-org

Required scope: payments:read. It also needs banking:read, compensation:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-all-settlements-for-org?orgID=%3CorgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "settlements": [
    {
      "taxReferenceID": "string",
      "recipientName": "string",
      "recipientID": "string",
      "status": "QUEUED",
      "transactionID": "string",
      "providerTransactionID": "string",
      "sourceCustodyWalletID": "string",
      "transactionHash": "string",
      "destinationAddress": "string",
      "amount": "string",
      "tokenSymbol": "string",
      "createdAt": "string",
      "lastStatusChangeAt": "string",
      "error": {
        "code": "string",
        "message": "string",
        "httpStatus": 0
      },
      "providerName": "SAFE"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "hasMore": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstringrequired
statusFilterstring

Available options: pending, completed, all

Default: "all"

pageinteger

Allowed: at least 1

Default: 1

pageSizeinteger

Allowed: 1 to 5000

Default: 25

Response

200Successful response
settlementsobject | object | object[]required
Show child attributes
sourceanyrequired
taxReferenceIDstringrequired
recipientNamestringrequired
recipientIDstring | nullrequired
statusstringrequired

Available options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED

transactionIDstringrequired
providerTransactionIDstring
sourceCustodyWalletIDstring
transactionHashstring
destinationAddressstringrequired
amountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$

tokenSymbolstring
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

lastStatusChangeAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

errorobject
Show child attributes
codestring
messagestring
httpStatusnumber
providerNamestring | string | anyrequired
totalintegerrequired
pageintegerrequired
pageSizeintegerrequired
hasMorebooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits